/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.jmx;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1 $
 */
public class IntrospectedMBean
{
   private String value;
   private boolean flag;

   public String getValue()
   {
      return value;
   }

   public void setValue(String value)
   {
      this.value = value;
   }

   public boolean isFlag()
   {
      return flag;
   }

   public void setFlag(boolean flag)
   {
      this.flag = flag;
   }

   public void reset()
   {
      value = "hello";
      flag = false;
   }

   public String params(int arg1, float arg2, Float arg3)
   {
      return "" + arg1 + " " + arg2 + " " + arg3;
   }

}
